Bug 433786 - pychess fails to start (python traceback)
pychess fails to start (python traceback)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pychess (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 09:07 EST by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-11 10:06:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kovalsky 2008-02-21 09:07:15 EST
Attemting to start pychess from the terminal results in python traceback. It 
complains about a missing icon. Perhaps a missing dependecy?

Note that I'm using KDE and have only a limited subset of gnome/GTK+ packages
installed. 

[dkovalsk@kovinek ~]$ rpm -q pychess
pychess-0.8-0.1.beta2.fc8

[dkovalsk@kovinek ~]$ pychess
Traceback (most recent call last):
  File "/usr/bin/pychess", line 37, in <module>
    import pychess.Main
  File "/usr/lib/python2.5/site-packages/pychess/Main.py", line 14, in <module>
    from pychess.Players.Human import Human
  File "/usr/lib/python2.5/site-packages/pychess/Players/Human.py", line 7, in
<module>
    from pychess.widgets.gamewidget import cur_gmwidg
  File "/usr/lib/python2.5/site-packages/pychess/widgets/gamewidget.py", line
69, in <module>
    light_on = icons.load_icon("weather-clear", 16, ICON_LOOKUP_USE_BUILTIN)
gobject.GError: Icon 'weather-clear' not present in theme
Comment 1 Sindre Pedersen Bjørdal 2008-02-28 05:53:40 EST
This icon is provided by, amongst others, the gnome-icon-theme package. Please
try  yum install gnome-icon-theme and see if this solves your problem. 
Comment 2 David Kovalsky 2008-02-28 06:00:55 EST
Hi Sindre, 

I already have the gnome-icon-theme package installed:

[root@kovinek ~]# yum install gnome-icon-theme
Loading "changelog" plugin
local                     100% |=========================| 1.9 kB    00:00
Setting up Install Process
Parsing package install arguments
Package gnome-icon-theme - 2.20.0-2.fc8.noarch is already installed.
Nothing to do
[root@kovinek ~]#
Comment 3 Sindre Pedersen Bjørdal 2008-02-28 06:16:14 EST
Is this problem still present when using 0.8 final: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=39749
Comment 4 David Kovalsky 2008-02-28 06:32:11 EST
Yup, still present.
 
[dkovalsk@kovinek ~]$ rpm -q pychess
pychess-0.8-1.fc8

[dkovalsk@kovinek ~]$ pychess
25019: old priority 0, new priority 15
Traceback (most recent call last):
  File "/usr/bin/pychess", line 40, in <module>
    import pychess.Main
  File "/usr/lib/python2.5/site-packages/pychess/Main.py", line 17, in <module>
    from pychess.Players.Human import Human
  File "/usr/lib/python2.5/site-packages/pychess/Players/Human.py", line 8, in <
                               module>
    from pychess.widgets.gamewidget import cur_gmwidg
  File "/usr/lib/python2.5/site-packages/pychess/widgets/gamewidget.py", line 69
                               , in <module>
    light_on = icons.load_icon("weather-clear", 16, ICON_LOOKUP_USE_BUILTIN)
gobject.GError: Icon 'weather-clear' not present in theme
Comment 5 Michel Alexandre Salim 2008-02-28 19:16:58 EST
So we definitely need to Require: gnome-icon-theme. The bizarre question is, it
*should* contain stock_3d-light-{on,off}, and so should not even get to trying
to load weather-clear.

Then again, if load_icon fails to find the first two, it would not find
weather-clear anyway, as they are in the same package. Perhaps it's just because
no GTK icon theme is set?

BTW, Sindre, 0.8 final does not work on Rawhide. Not sure what's wrong.
Comment 6 David Kovalsky 2008-03-27 06:33:54 EDT
Hmm, the fix is sooo simple -  it's fedora-icon-theme in Requires :-)

Please build a new package with fedora-icon-theme in Requires. 

Thanks!
Comment 7 Michel Alexandre Salim 2008-03-30 18:10:59 EDT
fedora-icon-theme does not even require gnome-icon-theme, which actually
contains the weather-clear icon. The actual solution is to make sure that
/usr/libexec/gnome-settings-daemon is running before pychess is executed.

Not sure what the proper fix is. Does KDE have a global autostart directory? I
currently just symlink gnome-settings-daemon to ~/.kde/Autostart/

Please retest with gnome-settings-daemon running. On my Rawhide/KDE system I can
confirm that with gnome-settings-daemon, pychess works; kill the daemon and it
breaks.

Sindre, we should probably hold off an update (that requires gnome-icon-theme)
until we decide on how to fix the gnome-settings-daemon issue. Easiest
short-term fix is to Require: gnome-settings-daemon and to have a wrapper script
that fires off gnome-settings-daemon if it is not already running?

Comment 8 Sindre Pedersen Bjørdal 2008-03-31 12:27:44 EDT
Agreed! Holding the current update. I'll write a wrapper that ensures the
gnome-settings-daemon is running befora launching pychess and push a new update.
Long-term we'll have to convince upstream to solve this issue the right way. 
Comment 9 Michel Alexandre Salim 2008-08-26 20:32:36 EDT
I'm testing a planned update to 0.8.2. Had to patch out a lot of stock_ icons, that are not in gnome-icon-theme (it's in echo-icon-theme, and not sure what other themes. Considering even Fedora does not install Echo by default, we probably don't want to go there).

I wrote the wrapper we planned to have as well.

Koji scratch for F-9 (I'm testing on Rawhide, where it works; will issue a F-9 update if nobody reports a breakage in the next few days)
Comment 10 David Kovalsky 2008-09-11 16:23:32 EDT
Michel, thanks for all the work!

Can you post a link to the latest available build so I can test?
Comment 11 Bug Zapper 2008-11-26 04:53:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Sindre Pedersen Bjørdal 2008-12-10 14:02:27 EST
Status on this issue?
Comment 13 David Kovalsky 2008-12-11 07:46:41 EST
Testing on Fedora 10, pychess starts fine without any issues. 
Feel free to close this :)

/David

Note You need to log in before you can comment on or make changes to this bug.